I5UserProfile (CMDB Model API)
Keywords: com.collation.platform.model.topology.sys.i5OS.I5UserProfile interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.sys.i5OS
Interface I5UserProfile

All Superinterfaces:
  I5Profile, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

    public interface I5UserProfile

extends I5Profile

Naming Rules:
  0="i5operatingSystem,profileName"
Persistable:
  true

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Method Summary
`I5GroupProfile[]` | `getI5Groups()`
`boolean` | `hasI5Groups()`
`void` | `setI5Groups(I5GroupProfile[] x)`

Methods inherited from interface com.collation.platform.model.topology.sys.i5OS.I5Profile
`getI5operatingSystem, getInitialMenu, getInitialProgram, getLimitCapabilities, getProfileName, getSpecialAuthority, hasI5operatingSystem, hasInitialMenu, hasInitialProgram, hasLimitCapabilities, hasProfileName, hasSpecialAuthority, setI5operatingSystem, setInitialMenu, setInitialProgram, setLimitCapabilities, setProfileName, setSpecialAuthority`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Method Detail

### getI5Groups

    I5GroupProfile[] getI5Groups()
                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Federates" reverse="true"

### setI5Groups

    void setI5Groups(I5GroupProfile[] x)

### hasI5Groups

    boolean hasI5Groups()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD